package com.sky.ioc.service.system;

import com.sky.ioc.entity.Index;
import com.sky.ioc.tool.ReturnMsg;

import java.util.List;

public interface IndexService {

    ReturnMsg pageList(Integer parentId, Integer pageStart, Integer pageSize);

    ReturnMsg addIndex(Index index);

    ReturnMsg editIndex(Index index);

    ReturnMsg delIndexById(Integer id);

    ReturnMsg delBatchById(List<Integer> ids);
}
